<template>
  <div class="personal">
    <div class="person-header">
      <img src="@/assets/images/profile.png" alt="" @click="jumpprivate()">
      <span>king</span>
    </div>
    <div class="weui-cell">
      <div class="weui-cell__bd">
        <p>我的订单</p>
      </div>
      <div class="weui-cell__ft">
        <a href="javascript:;" @click="jumpOrder()">全部订单&gt;</a>
      </div>
    </div>
    <nav-grids class="border-bottom-5" :grids="navGrids" :type="'small'"></nav-grids>
    <nav-grids class="border-bottom-1" :grids="setting1" :type="'large'"></nav-grids>
    <nav-grids class="border-bottom-1" :grids="setting2" :type="'large'"></nav-grids>
    <tab-bar :menu="tabMenu"></tab-bar>
  </div>
</template>

<script>
import {dict} from '../store/dictionary'
import navGrids from '../components/navGrids'
import tabBar from '../components/tabBar'
export default {
  name: 'personal',
  components: {tabBar, navGrids},
  data () {
    return {
      dict: dict,
      tabMenu: [
        {
          name: '首页',
          type: 'home',
          imgurl: require('@/assets/images/home/home1.png'),
          badge: null
        },
        {
          name: '分类',
          type: 'goods',
          imgurl: require('@/assets/images/home/class1.png'),
          badge: null
        },
        {
          name: '购物车',
          type: 'shoppingcar',
          imgurl: require('@/assets/images/home/car1.png'),
          badge: 8
        },
        {
          name: '个人中心',
          type: 'personal',
          imgurl: require('@/assets/images/home/private1.png'),
          badge: null
        }
      ],
      navGrids: [
        {
          name: '待付款',
          type: 'home',
          imgurl: require('@/assets/images/active/1.png'),
          badge: 1
        },
        {
          name: '待发货',
          type: 'goods',
          imgurl: require('@/assets/images/active/2.png'),
          badge: 2
        },
        {
          name: '待收货',
          type: 'shoppingcar',
          imgurl: require('@/assets/images/active/3.png'),
          badge: 1
        },
        {
          name: '待评价',
          type: 'private',
          imgurl: require('@/assets/images/active/4.png'),
          badge: 3
        },
        {
          name: '退款/售后',
          type: 'privatea',
          imgurl: require('@/assets/images/active/1.png'),
          badge: 1
        }
      ],
      setting1: [
        {
          name: '我的收藏',
          type: 'collection',
          imgurl: require('@/assets/images/active/1.png')
        },
        {
          name: '收货地址',
          type: 'goods',
          imgurl: require('@/assets/images/active/2.png')
        },
        {
          name: '设置',
          type: 'shoppingcar',
          imgurl: require('@/assets/images/active/3.png')
        }
      ],
      setting2: [
        {
          name: '消息中心',
          type: 'home',
          imgurl: require('@/assets/images/active/1.png')
        },
        {
          name: '',
          type: '1',
          imgurl: null
        },
        {
          name: '',
          type: '2',
          imgurl: null
        }
      ]
    }
  },
  methods: {
    jumpBack () {
      this.$router.back(-1)
    },
    jumpOrder () {
      this.$router.push({name: 'order'})
    },
    jumpprivate () {
      this.$router.push({name: 'private'})
    }
  },
  mounted: function () {

  }
}
</script>

<style scoped>
.person-header {
  height: 60px;
  background: #EA2E57;
  padding: 20px;
  color: #ffffff;
}
.person-header img {
  width: 50px;
  height: 50px;
  border-radius: 45px;
  vertical-align: middle;
  margin-right: 10px;
}
.weui-cell {
  border-bottom: 1px solid #eeeeee;
}
.weui-cell a {
  color: #757575;
}
.weui-grid {
  padding: 5px 10px!important;
}
</style>
